QGIS Application - Bug report #12221
Transparency of layer change the size of the legend symboles
2015-02-18 02:47 AM - Lucien Blandenier

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows 8 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20409
Description

Hello,

When applying a transparency to an entire layer in the layer properties, the symboles of the svg legends are resized in the legend boxes
when exporting the image. This problem is visible on the exported image but not in the map composer.

This problem could be avoided by applying the transparency separately to each items of the layer instead of the entire layer.

History

#1 - 2015-02-19 02:49 AM - Martin Dobias

| cannot replicate - or maybe | just do something else than you do. Could you please post steps to reproduce and the (wrong) resulting image you get?

#2 - 2015-02-19 02:54 AM - Martin Dobias
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Oh | see - your bug report was for version 2.4. This is fixed now in master (most likely already fixed in 2.6 with legend refactoring)

#3 - 2015-02-19 03:00 AM - Lucien Blandenier

Ok ! Nice ! | forget to check in the 2.6 version...
